Subject: RE: [E3-hacking] Making life easy for you

From: Cliff Lawson <[email-masked]>
Date: Thu, 16 Jun 2005 12:43:57 +0100

> -----Original Message-----
> From: Jonathan McDowell [mailto:[email-masked]]
> 
> Heh. I'd noticed Amstrad had been looking at the list and 
> wondered if we
> were ever going to hear anything from them. :)

Yup, when I looked at the "member" list I think I spotted something like 4
of my colleagues on there ;-)
 
> That would be nice; with access to the NAND code it should 
> hopefully be
> possible to use something like JFFS2 instead, giving a writable file
> system. Plus it would help with getting the kernel updated to 2.6 - I
> know Vince Sanders has been talking about trying to get better OMAP
> support in the mainline kernel.

We've been toying with the idea of taking Montavista's latest distribution
which is a 2.6 - but at the moment we're working on the "if it ain't broke,
don't fix it principle"! (and 2.4 works for everything in our specific
application)
 
> That's £100, isn't it? Or was it originally sold for more than that?

£100 is roughly what we were thinking. I couldn't guarantee that it would be
exactly that might be a bit more (or possibly less even). The more I look at
other Linux dev systems the more I think £100 (inc the 480x320 colour LCD)
is really cheap. Others have pointed me in the direction of www.gumstix.com
and http://www.kwikbyte.com/KB9202_description_new.htm#BuyNowKB9202 as
examples of other "cheap" dev systems. But they have dramatically less
resources on the board and obviously no sign of an LCD, let alone a colour
one. I guess it's just a shame doesn't have an Ethernet MAC on board but
we'd expect most people to do what we do and get a USB-Ethernet adapter (we
use Netgear FA101/Belkin F5D5050 for example) and use this for NFS based
development (which is exactly how we develop for it)
 
> Do I think you'd sell these for £100? Certainly, especially if it was
> packaged nicely. I bought an E3 for the purposes of hacking on partly
> due to the fact that the idea of decent SIP/IAX phone appealed. You'd
> probably find others who felt the same way and who would buy something
> in the style of the E3 but without the Amstrad proprietary 
> software but
> a development environment instead.

To be clear this (probably) wouldn't be in the style of an E3. We'd probably
ditch a lot of the "telephone" gubbins. It'd basically be a box (maybe
pressed steel or something) with an E3 board at the heart (maybe with modem
section depopulated) and the LCD/backlight module fitted into the "roof" - a
trailing cable would go to the PS/2 QWERTY as found on the E3. So it'd just
look like a generic little computer in a box - nothing like a telephone. I
think we probably would put a JTAG header on it for those interested in such
things (though maybe this isn't such a necessity now that Linux is ported)
 
> Personally, it's unlikely I'd buy a developer model at the start - not
> because I don't want one, just that it's hard to justify even 
> more toys
> at present. :)

Fair enough. If you know others doing Linux development then feel free to
mention this and see what they think. I'm just interested in as much
feedback as possible right now to decide whether to launch off in this
direction. While there (hopefully!) wouldn't be much work to be done on our
part, there would be some and we need to gauge whether such effort would be
economically justified.

Cliff

This e-mail and any attachments are confidential and intended exclusively for the addressee. If you are not the intended recipient please delete it from your system and notify the sender immediately. This message is attributed to the sender and may not necessarily reflect the views of Amstrad Plc or its subsidiaries.

For further information on Amstrad Plc please visit our website: www.amstrad.com

Amstrad Plc.
Brentwood House
169 Kings Road
Brentwood
Essex CM14 4EF
Registered in England : No. 955321

---

From: [email-masked]
Date: Thu, 16 Jun 2005 12:47:58 +0100 (BST)

> section depopulated) and the LCD/backlight module fitted into the "roof" - a

That sounds very similar to the TI OMAP-TEB and EVM platforms...

> things (though maybe this isn't such a necessity now that Linux is ported)

It'd be nice to have a header for the ETM9 pins too, even though they 
don't work very well on the 5910, and of course they're shared with the 
camera.  Will the camera disappear?  And is there any chance of getting at 
McBSPs?  I'd like to add multiple audio inputs and outputs (and USB isn't 
really up to it.)  I could do this on an add-on card of my own doing if I 
had McBSP access.

I'd definitely buy one of these, maybe more than one.  It's just the ease 
of hackery that's stopped me buying an E3.

---

From: Jonathan McDowell <[email-masked]>
Date: Thu, 16 Jun 2005 15:29:59 +0100

On Thu, Jun 16, 2005 at 12:43:57PM +0100, Cliff Lawson wrote:
> £100 is roughly what we were thinking. I couldn't guarantee that it
> would be exactly that might be a bit more (or possibly less even). The
> more I look at other Linux dev systems the more I think £100 (inc the
> 480x320 colour LCD) is really cheap. Others have pointed me in the
> direction of www.gumstix.com and
> http://www.kwikbyte.com/KB9202_description_new.htm#BuyNowKB9202 as
> resources on the board and obviously no sign of an LCD, let alone a
> colour one.

Yeah, it's definitely cheap. Simtec (http://www.simtec.co.uk/) have a
board for £99, but it's only a 7500FE and still needs RAM/display etc.

> > Do I think you'd sell these for £100? Certainly, especially if it
> > was packaged nicely. I bought an E3 for the purposes of hacking on
> > partly due to the fact that the idea of decent SIP/IAX phone
> > appealed. You'd probably find others who felt the same way and who
> > would buy something in the style of the E3 but without the Amstrad
> > proprietary software but a development environment instead.
> To be clear this (probably) wouldn't be in the style of an E3.

Sorry, I wasn't saying it should be, more that if you wanted to cut your
work you could probably get away with the current cases.

...
> I think we probably would put a JTAG header on it for those interested
> in such things (though maybe this isn't such a necessity now that
> Linux is ported)

JTAG is useful for people who'd want to play with alternative boot
loaders; one of the more commonly used ARM ones perhaps.

> > Personally, it's unlikely I'd buy a developer model at the start -
> > not because I don't want one, just that it's hard to justify even
> > more toys at present. :)
> Fair enough. If you know others doing Linux development then feel free
> to mention this and see what they think. I'm just interested in as
> much feedback as possible right now to decide whether to launch off in
> this direction. While there (hopefully!) wouldn't be much work to be
> done on our part, there would be some and we need to gauge whether
> such effort would be economically justified.

Sure, if I can think of people who'd be interested I'll mention it to
them.

J.

-- 
If I save time, when do I get it back?